Subject: Re: [ANN] net-next is OPEN

From: Jakub Kicinski <[email-masked]>
Date: Tue, 23 Jan 2024 08:33:15 -0800

On Tue, 23 Jan 2024 17:05:12 +0100 Petr Machata wrote:
> >> It looks like whatever is serving the output should use MIME of
> >> "text/plain;charset=UTF-8" instead of just "text/plain".  
> >
> > 😮️ interesting. The table characters are not part of ASCII, right?   
> 
> Yeah, the table is UTF-8.
> 
> > So it must be using some extended charset. Firefox hid the option 
> > to tweak encoding tho so IDK what it actually uses :S  
> 
> My guess would be ISO-8859-1, but dunno. The developer console shows
> Firefox has had to guess the encoding, but not what guess it made.
> 
> It seems weird to guess anything but UTF-8 in this day and age. Maybe
> the logic is that modern web has correct content-type, because it needs
> UTF-8, so if it doesn't declare encoding, it's something ancient.

Ah, sorry, I read your message backwards. I remember fixing the encoding
on the NIPA nginx to make it utf-8 so I thought you said it's utf-8
and should be something else... But the runner has a separate
instance, and there the charset is indeed not set. Fixed now!